/*
 * 
 * ultra auto GABBER KICK auto-kick (internal kick)
 * 
 * // A2 sets pitch and delay of ATTACK (timbre/double kick)
 * // A1 sets pitch and delay of SUSTAIN (actual phatness/pitch/tripple kick)
 * // A0 sets kick speed (trigger speed)
 */
#define SPEAKER_PIN 11 
bool triggered; // logic: trigered, yes or no


void setup() {
  // set pin 11 as output
  pinMode(SPEAKER_PIN, OUTPUT);
    Serial.begin(9600); // debugging (see if trigger is registered)
  Serial.println("i am on");
}

void loop() {

   int input3 = digitalRead(A3); // read analog pin 3
   int LFO = map(analogRead(A0),0,1023,0,50); // read analog pin 1 (trigger well actually note duration 0-1023ms)


    //fake trigger  (doesnt really work at gabber bpms though...) 
    for(int i=0;i<1;i++){
         Serial.println("Got trigger!");

//ATTACK
     for(int i=0;i<5;i++){ // i = DELAY+SUSTAIN+RELEASE of ATTACK
       analogWrite(11,0);
      delayMicroseconds(analogRead(A2)*i*i); // lower the pitch over time
       analogWrite(11,255);
      delayMicroseconds(analogRead(A2)*i*i); // lower the pitch over time
       analogWrite(11,0);
       
     // delay(1);
      }
   
    //delay(1);

//SUSTAIN RELEASE
     for(int i=0;i<LFO;i++){ // i = DELAY+SUSTAIN+RELEASE  < this should be linked to lfo..
       analogWrite(11,0);
      delayMicroseconds(analogRead(A1)*i); // lower the pitch over time
       analogWrite(11,255);
      delayMicroseconds(analogRead(A1)*i); // lower the pitch over time
       analogWrite(11,0);
      delay(1);
      }
   
 
    }
   delay(LFO);  //fake trigger delay time

    
}
